<?php 

function factorial($numero) 
{ 
   if($numero === 0) // condition de parada 
      return 1;  
  else 
      return $numero * factorial($numero-1); 
} 
echo "El factorial de 20 es:".factorial(20);
  

?>
